Skip to main content
PATCH
Update a Connected Apps connection

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

connection_id
integer
required

Connection id in the current organization.

Body

application/json

Validated request fields for this operation.

connection_name
string

Connection name. Validation: sometimes, string, max:255.

Maximum string length: 255
Example:

"Connection Name"

scope
enum<string>

Scope. Validation: sometimes; allowed values: workspace, user.

Available options:
workspace,
user
Example:

"workspace"

status
enum<string>

Status. Validation: sometimes; allowed values: pending, connected, paused, needs_reauth, error, disconnected.

Available options:
pending,
connected,
paused,
needs_reauth,
error,
disconnected
Example:

"pending"

health_status
enum<string>

Health status. Validation: sometimes; allowed values: unknown, healthy, warning, error.

Available options:
unknown,
healthy,
warning,
error
Example:

"unknown"

provider_account_id
string | null

Provider account id. Validation: nullable, string, max:191.

Maximum string length: 191
Example:

"Provider Account Id"

provider_tenant_id
string | null

Provider tenant id. Validation: nullable, string, max:191.

Maximum string length: 191
Example:

"Provider Tenant Id"

encrypted_credentials

Provider-specific encrypted credentials fields; use provider metadata/configuration for supported keys.

settings_json

Provider-specific settings fields; use provider metadata/configuration for supported keys.

target_context_json

Provider-specific target context fields; use provider metadata/configuration for supported keys.

Response

Operation result.

status
string
Example:

"success"

data
object

Allowlisted connection projection. List/show service retrieval bounds detailed related collections at ten; new/updated records can lazy-load their related collections. last_synced_at reflects actual data runs for Bloomerang.